# GPS Processing Script
# =====================

import sys
sys.path.insert(0,"../")
import kingps as k
import numpy as n
import os

# Create the relevant objects for processing
main = k.GPSProcessingVariables()
rxcv = k.GPSToRinexConverter(main)
gpkp = k.GPSKinematicProcessing(main)

# Remember current directory
main.home_dir = os.getcwd()

# Set Fix Coordinates
main.fix_xyz = n.array([4400981.8216, 602659.6150, 4565361.6944], dtype=float)

# Set site names list
main.site_names = ["gps1"]
main.fix_name = "fix1"

# Set a few variables for Rinex headers
main.institute = "Private Company AG"
main.observer = "Mr.Example"

# Set working space
wpdir = "workspace"
main.prefix_dir = wpdir

# initialize the working environment
main.init_workspace(main.home_dir + "/" + wpdir)

# search specified paths for raw data
search_dir = main.home_dir + "/raw_source"
main.search_rawdata(search_dir)

# Create Rinex files
rxcv.process()

# Process available data
gpkp.process()

# End processing
main.finish()
