from  distutils.core import setup
from distutils import sysconfig
import sys, os, glob
from os.path import join
import platform


# try to import dependencies
try:
    import processing
except ImportError:
    print "Could not find required module 'processing', do you have it installed?"

# try to determine the installation prefix
# first set up a default prefix:
if platform.system() == "Windows":
    prefix = sys.prefix
else:
    # we are running bdist_wininst on a non-Windows platform
    pymajor, pyminor = sysconfig.get_python_version().split(".")
    prefix = "C:\\Python%s%s" % (pymajor, pyminor)

# if --prefix is specified we use this instead of the default:
for arg in sys.argv:
    if "--prefix" in arg:
        prefix = arg.split("=")[1]
        break

# print info and then proceed
for arg in sys.argv:
    if "-h" in arg:
        try:
            import kingps
            print kingps.__doc__
            break
        except ImportError:
            print "This should not happen, are you in the top directory of kingps?"

setup(name='kingps',
      version='0.1',
      description='Batch processing of large data sets of kinematic GPS time series using TRACK from the GAMIT/GLOBK GPS suite.',
      author='Patrick Riesen',
      author_email='riesen@vaw.baug.ethz.ch',
      license="GNU GPL v3, or any later version",
      packages=['kingps'],
      package_dir={'kingps': "kingps"}
      )
